import { colorFuncs } from '../const/chalk.funcs';
import { messageList } from '../const/message';
import emoji from '../const/emoji';
import chalk from 'chalk';
export class SPrint {
    constructor(name) {
        Object.defineProperty(this, "_name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this._name = name;
    }
    rcFunc(...arg) {
        const index = Math.floor(Math.random() * colorFuncs.length);
        const fname = colorFuncs[index];
        // @ts-ignore
        return chalk[fname].bind(chalk, ...arg);
    }
    getRandomPersionEmoji() {
        return SPrint.getRandomVal(emoji.emojipersiotn);
    }
    getRandomMsg() {
        return SPrint.getRandomVal(messageList);
    }
    static getRandomVal(values) {
        const index = Math.floor(Math.random() * values.length);
        const fname = values[index];
        return fname;
    }
    static getExecLine(err) {
        let stack = err.stack;
        let line = '';
        if (stack) {
            line = stack.split?.('\n')[2]?.trim?.().match?.(/\(([^]+.)\)/)?.[1] || '';
        }
        return line;
    }
    install(_name = this._name) {
        if (!_name) {
            console.warn('_name is not defined');
        }
        ;
        return ((_console) => {
            const _print = _console[_name];
            window.console[_name] = this.setup.bind(_console, _print);
            return _print;
        })(window.console);
    }
    setup(_print) {
        throw new Error("Method not implemented.");
    }
}
