import { ToProtoType } from './extends/proto';
export declare class WithResolves extends ToProtoType {
    constructor(self?: PromiseConstructor[]);
    get _name(): string;
    setup(): {
        promise: Promise<any>;
        resolve: {
            (): Promise<void>;
            <T>(value: T): Promise<Awaited<T>>;
            <T>(value: T | PromiseLike<T>): Promise<Awaited<T>>;
        };
        reject: <T = never>(reason?: any) => Promise<T>;
    };
}
